Update selected fields of a memory.
curl --request PATCH \
--url https://api.flumes.ai/v0/memories/{memory_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"<string>"
],
"metadata": {},
"archived": true,
"valid_to": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.flumes.ai/v0/memories/{memory_id}"
payload = {
"tags": ["<string>"],
"metadata": {},
"archived": True,
"valid_to": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: ['<string>'],
metadata: {},
archived: true,
valid_to: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.flumes.ai/v0/memories/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"namespace": "default",
"type": "fact",
"text": "<string>",
"memory_id": "<string>",
"org_id": "<string>",
"agent_id": "<string>",
"entity_id": "<string>",
"metadata": {},
"tags": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z",
"archived": false,
"sensitivity": "auto",
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"object_type": "literal",
"unit": "<string>",
"keys": [
"<string>"
],
"valid_from": "2023-11-07T05:31:56Z",
"valid_to": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"status": "active",
"provenance": {}
}{
"error": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Memories
Update selected fields of a memory.
PATCH
/
v0
/
memories
/
{memory_id}
Update selected fields of a memory.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Deprecated. Org is derived from API key; header is ignored.
Maximum string length:
128Path Parameters
Body
application/json
Response
Updated memory
Base memory record (open-world). Write requests ignore org fields; org is taken from header.
Maximum string length:
64Available options:
fact, event, document, note, profile, chunk Human-readable content; for facts, this is a rendered form of subject/predicate/object.
Maximum string length:
20000Maximum string length:
64Available options:
none, pii, auto Entity id like ent:user_42
Maximum string length:
128Maximum string length:
4000Available options:
literal, string, number, date, json, entity Maximum string length:
32Conflict keys for supersession.
Maximum string length:
128Required range:
0 <= x <= 1Available options:
active, superseded, disputed Source info; e.g., { source_turn: memory_id }
